
<% if @searchable.template == "#{role}/hs"
  header = t('report.hs_report_title')
  tb_header1 =  t('report.npeople_survey_label')
  tb_header2 =  t('report.nsurvey_label')
  url_xlsx = "reports_#{role}_health_survey_path"
elsif @searchable.template == "#{role}/hv"
  header = t('report.hv_report_title')
  tb_header1 =  t('report.npeople_visit_label')
  tb_header2 =  t('report.nvisit_label')
  url_xlsx = "reports_#{role}_home_visit_path"
end %>

<div class="container --padded">
  <div class="card --basic">
    <h3 class="ui header dividing">
      <%= header || '-'%>
    </h3>
    <%= render 'reports/filter_detail' %>
    <%= render "reports/#{role}_search" %>
  </div>

  <% if @results.length != 0 %>
    <div class="card --table">
      <div class="card__content">
        <table class="ui table striped unstackable">
          <thead>
            <tr>
              <th rowspan="2" class="one wide"><%= t :no_label %></th>
              <th rowspan="2" class="center aligned two wide"><%= t 'community_survey.vname_label' %></th>
              <% if admin? role%>
                <th rowspan="2" class="center aligned"><%= t 'report.hospital_label' %></th>
              <% end %>
              <th rowspan="2" class="center aligned two wide"><%= t 'community_survey.nhouse_label' %></th>
              <th rowspan="2" class="center aligned two wide">
                <%= tb_header1 || '-' %>
              </th>
              <th rowspan="2" class="center aligned two wide">
                <%= tb_header2 || '-' %>
              </th>
              <th colspan="3" class="center aligned four wide"><%= t('report.checked_label') %></th>
            </tr>
            <tr>
              <th class="center aligned"><%= t('report.waiting') %></th>
              <th class="center aligned"><%= t('report.pass') %></th>
              <th class="center aligned"><%= t('report.fail') %></th>
            </tr>
          </thead>
          <tbody>
            <% page = @results.page %>
            <% @results.each_with_index do |result, index| %>
              <tr>
                <td><%= offset(@searchable.page,Kaminari.config.default_per_page.to_i)+index+1 %></td>
                <td><%= result.vname %></td>
                <% if admin? role%>
                  <td><%= result.hospital_label %></td>
                <% end %>
                <td class="center aligned">
                  <%=
                    link_to(
                      method("reports_#{role}_houses_path").call(
                          from_date: revert_date(@searchable.from_date),
                          to_date: revert_date(@searchable.to_date),
                          date_type: @searchable.date_type,
                          vid: result.vid,
                          htype: @searchable.htype,
                          hospital: @searchable.hospital,
                          template: @searchable.template
                      )
                    ) do
                  %>
                    <%= result.count_houses %>
                  <% end %>
                </td>
                <%= render 'reports/def_row', searchable: @searchable, role: role, result: result %>
              </tr>
            <% end %>
          </tbody>
        </table>
      </div>
      <div class="card__footer">
        <div class="pagination">
          <%= paginate @results %>
        </div>
        <div class="btn-group --right">
          <%= link_to method(url_xlsx).call(
            from_date: revert_date(@searchable.from_date),
            to_date: revert_date(@searchable.to_date),
            date_type: @searchable.date_type,
            htype: @searchable.htype, 
            hospital: @searchable.hospital,
            template: @searchable.template,
            format: "xlsx"
          ), class: "ui button --submit" do %>
            <i class="file excel icon"></i> <%= t('report.export_excel_label') %>
          <% end %>
        </div>
      </div>
    </div>
  <% else %>
    <%= render 'reports/empty' %>
  <% end %>
</div>

<% content_for :menu_content_title do %>
  <div class="ui breadcrumb">
    <div class="active section"><%= t('report.hs_title_label') %></div>
  </div>
<% end %>
